Package com.usatiuk.dhfs.peersync.api

# Class PeerSyncApi

java.lang.Object
com.usatiuk.dhfs.peersync.api.PeerSyncApi

@Path("/peer-info") public class PeerSyncApi extends Object

## Constructor Summary

Constructors
Constructor
Description
`PeerSyncApi()`

## Method Summary

Modifier and Type
Method
Description
`ApiPeerInfo`
`getSelfInfo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PeerSyncApi

public PeerSyncApi()

## Method Details

### getSelfInfo

@Path("self") @GET public ApiPeerInfo getSelfInfo()